# Glacier2::PermissionDeniedException

## Overview

### exception PermissionDeniedException

This exception is raised if a client is denied the ability to create a session with the router.

#### Used By

Router::createSession
Router::createSessionFromSecureConnection

#### See Also

Router::createSession
Router::createSessionFromSecureConnection

## Data Members

string reason;

  The reason why permission was denied.